diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/nav-menus.php ./wordpress-3.3/wp-admin/nav-menus.php
*** ./wordpress-3.2.1/wp-admin/nav-menus.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/nav-menus.php	2011-11-30 22:51:35.000000000 -0600
***************
*** 22,32 ****
  if ( ! current_user_can('edit_theme_options') )
  	wp_die( __( 'Cheatin&#8217; uh?' ) );
  
- // Nav Menu CSS
- wp_admin_css( 'nav-menu' );
- 
  // jQuery
- wp_enqueue_script( 'jquery' );
  wp_enqueue_script( 'jquery-ui-draggable' );
  wp_enqueue_script( 'jquery-ui-droppable' );
  wp_enqueue_script( 'jquery-ui-sortable' );
--- 22,28 ----
***************
*** 436,447 ****
  if ( is_nav_menu( $nav_menu_selected_id ) )
  	$edit_markup = wp_get_nav_menu_to_edit( $nav_menu_selected_id  );
  
! function wp_nav_menu_max_depth() {
  	global $_wp_nav_menu_max_depth;
! 	return "menu-max-depth-$_wp_nav_menu_max_depth";
  }
  
! add_action('admin_body_class','wp_nav_menu_max_depth');
  
  wp_nav_menu_setup();
  wp_initial_nav_menu_meta_boxes();
--- 432,443 ----
  if ( is_nav_menu( $nav_menu_selected_id ) )
  	$edit_markup = wp_get_nav_menu_to_edit( $nav_menu_selected_id  );
  
! function wp_nav_menu_max_depth($classes) {
  	global $_wp_nav_menu_max_depth;
! 	return "$classes menu-max-depth-$_wp_nav_menu_max_depth";
  }
  
! add_filter('admin_body_class', 'wp_nav_menu_max_depth');
  
  wp_nav_menu_setup();
  wp_initial_nav_menu_meta_boxes();
***************
*** 449,462 ****
  if ( ! current_theme_supports( 'menus' ) && ! wp_get_nav_menus() )
  	$messages[] = '<div id="message" class="updated"><p>' . __('The current theme does not natively support menus, but you can use the &#8220;Custom Menu&#8221; widget to add any menus you create here to the theme&#8217;s sidebar.') . '</p></div>';
  
! $help =  '<p>' . __('This feature allows you to use a custom menu in place of your theme&#8217;s default menus. If your theme does not support the custom menus feature yet (the new and old default themes, Twenty Eleven and Twenty Ten, do), you can learn about adding this support by following the Documentation link in this tab. You can still use the &#8220;Custom Menu&#8221; widget to add menus to a sidebar.') . '</p>';
! $help .= '<p>' . __('You can create custom menus for your site. These menus may contain links to pages, categories, custom links or other content types (use the Screen Options tab to decide which ones to show on the screen). You can specify a different navigation label for a menu item as well as other attributes. You can create multiple menus. If your theme includes more than one menu, you can choose which custom menu to associate with each. You can also use custom menus in conjunction with the Custom Menus widget.') . '</p>';
! $help .= '<p>' . __('To create a new custom menu, click on the + tab, give the menu a name, and click Create Menu. Next, add menu items from the appropriate boxes. You&#8217;ll be able to edit the information for each menu item, and can drag and drop to put them in order. You can also drag a menu item a little to the right to make it a submenu, to create menus with hierarchy. Drop the item into its new nested placement when the dotted rectangle target shifts over, also a little to the right. Don&#8217;t forget to click Save when you&#8217;re finished.') . '</p>';
! $help .= '<p><strong>' . __('For more information:') . '</strong></p>';
! $help .= '<p>' . __('<a href="http://codex.wordpress.org/Appearance_Menus_Screen" target="_blank">Documentation on Menus</a>') . '</p>';
! $help .= '<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>';
! 
! add_contextual_help($current_screen, $help);
  
  // Get the admin header
  require_once( './admin-header.php' );
--- 445,470 ----
  if ( ! current_theme_supports( 'menus' ) && ! wp_get_nav_menus() )
  	$messages[] = '<div id="message" class="updated"><p>' . __('The current theme does not natively support menus, but you can use the &#8220;Custom Menu&#8221; widget to add any menus you create here to the theme&#8217;s sidebar.') . '</p></div>';
  
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'overview',
! 'title'		=> __('Overview'),
! 'content'	=>
! 	'<p>' . __('This feature allows you to use a custom menu in place of your theme&#8217;s default menus.') . '</p>' .
! 	'<p>' . __('Custom menus may contain links to pages, categories, custom links or other content types (use the Screen Options tab to decide which ones to show on the screen). You can specify a different navigation label for a menu item as well as other attributes. You can create multiple menus. If your theme includes more than one menu, you can choose which custom menu to associate with each. You can also use custom menus in conjunction with the Custom Menus widget.') . '</p>' .
! 	'<p>' . __('If your theme does not support the custom menus feature yet (the default themes, Twenty Eleven and Twenty Ten, do), you can learn about adding this support by following the Documentation link to the side.') . '</p>'
! ) );
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'create-menus',
! 'title'		=> __('Create Menus'),
! 'content'	=>
! 	'<p>' . __('To create a new custom menu, click on the + tab, give the menu a name, and click Create Menu. Next, add menu items from the appropriate boxes. You&#8217;ll be able to edit the information for each menu item, and can drag and drop to put them in order. You can also drag a menu item a little to the right to make it a submenu, to create menus with hierarchy. Drop the item into its new nested placement when the dotted rectangle target shifts over, also a little to the right. Don&#8217;t forget to click Save when you&#8217;re finished.') . '</p>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
! 	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Appearance_Menus_Screen" target="_blank">Documentation on Menus</a>') . '</p>' .
! 	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
! );
  
  // Get the admin header
  require_once( './admin-header.php' );
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/network/edit.php ./wordpress-3.3/wp-admin/network/edit.php
*** ./wordpress-3.2.1/wp-admin/network/edit.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/network/edit.php	2011-08-18 01:17:47.000000000 -0500
***************
*** 14,482 ****
  	wp_die( __( 'Multisite support is not enabled.' ) );
  
  if ( empty( $_GET['action'] ) ) {
! 	wp_redirect( admin_url( 'index.php' ) );
  	exit;
  }
  
! function confirm_delete_users( $users ) {
! 	$current_user = wp_get_current_user();
! 	if ( !is_array( $users ) )
! 		return false;
  
! 	screen_icon();
! 	?>
! 	<h2><?php esc_html_e( 'Users' ); ?></h2>
! 	<p><?php _e( 'Transfer or delete posts and links before deleting users.' ); ?></p>
! 	<form action="edit.php?action=dodelete" method="post">
! 	<input type="hidden" name="dodelete" />
! 	<?php
! 	wp_nonce_field( 'ms-users-delete' );
! 	$site_admins = get_super_admins();
! 	$admin_out = "<option value='$current_user->ID'>$current_user->user_login</option>";
  
! 	foreach ( ( $allusers = (array) $_POST['allusers'] ) as $key => $val ) {
! 		if ( $val != '' && $val != '0' ) {
! 			$delete_user = new WP_User( $val );
  
- 			if ( ! current_user_can( 'delete_user', $delete_user->ID ) )
- 				wp_die( sprintf( __( 'Warning! User %s cannot be deleted.' ), $delete_user->user_login ) );
- 
- 			if ( in_array( $delete_user->user_login, $site_admins ) )
- 				wp_die( sprintf( __( 'Warning! User cannot be deleted. The user %s is a network admnistrator.' ), $delete_user->user_login ) );
- 
- 			echo "<input type='hidden' name='user[]' value='{$val}'/>\n";
- 			$blogs = get_blogs_of_user( $val, true );
- 
- 			if ( !empty( $blogs ) ) {
- 				?>
- 				<br /><fieldset><p><legend><?php printf( __( "What should be done with posts and links owned by <em>%s</em>?" ), $delete_user->user_login ); ?></legend></p>
- 				<?php
- 				foreach ( (array) $blogs as $key => $details ) {
- 					$blog_users = get_users( array( 'blog_id' => $details->userblog_id ) );
- 					if ( is_array( $blog_users ) && !empty( $blog_users ) ) {
- 						$user_site = "<a href='" . esc_url( get_home_url( $details->userblog_id ) ) . "'>{$details->blogname}</a>";
- 						$user_dropdown = "<select name='blog[$val][{$key}]'>";
- 						$user_list = '';
- 						foreach ( $blog_users as $user ) {
- 							if ( ! in_array( $user->ID, $allusers ) )
- 								$user_list .= "<option value='{$user->ID}'>{$user->user_login}</option>";
- 						}
- 						if ( '' == $user_list )
- 							$user_list = $admin_out;
- 						$user_dropdown .= $user_list;
- 						$user_dropdown .= "</select>\n";
- 						?>
- 						<ul style="list-style:none;">
- 							<li><?php printf( __( 'Site: %s' ), $user_site ); ?></li>
- 							<li><label><input type="radio" id="delete_option0" name="delete[<?php echo $details->userblog_id . '][' . $delete_user->ID ?>]" value="delete" checked="checked" />
- 							<?php _e( 'Delete all posts and links.' ); ?></label></li>
- 							<li><label><input type="radio" id="delete_option1" name="delete[<?php echo $details->userblog_id . '][' . $delete_user->ID ?>]" value="reassign" />
- 							<?php echo __( 'Attribute all posts and links to:' ) . '</label>' . $user_dropdown; ?></li>
- 						</ul>
- 						<?php
- 					}
- 				}
- 				echo "</fieldset>";
- 			}
- 		}
- 	}
- 
- 	submit_button( __('Confirm Deletion'), 'delete' );
- 	?>
- 	</form>
-     <?php
- 	return true;
- }
- 
- do_action( 'wpmuadminedit' , '');
- 
- if ( isset( $_GET['id' ]) )
- 	$id = intval( $_GET['id'] );
- elseif ( isset( $_POST['id'] ) )
- 	$id = intval( $_POST['id'] );
- 
- switch ( $_GET['action'] ) {
- 	case 'siteoptions':
- 		check_admin_referer( 'siteoptions' );
- 		if ( ! current_user_can( 'manage_network_options' ) )
- 			wp_die( __( 'You do not have permission to access this page.' ) );
- 
- 		if ( empty( $_POST ) )
- 			wp_die( sprintf( __( 'You probably need to go back to the <a href="%s">options page</a>.' ), esc_url( admin_url( 'settings.php' ) ) ) );
- 
- 		if ( isset($_POST['WPLANG']) && ( '' === $_POST['WPLANG'] || in_array( $_POST['WPLANG'], get_available_languages() ) ) )
- 			update_site_option( 'WPLANG', $_POST['WPLANG'] );
- 
- 		if ( is_email( $_POST['admin_email'] ) )
- 			update_site_option( 'admin_email', $_POST['admin_email'] );
- 
- 		$illegal_names = split( ' ', $_POST['illegal_names'] );
- 		foreach ( (array) $illegal_names as $name ) {
- 			$name = trim( $name );
- 			if ( $name != '' )
- 				$names[] = trim( $name );
- 		}
- 		update_site_option( 'illegal_names', $names );
- 
- 		if ( $_POST['limited_email_domains'] != '' ) {
- 			$limited_email_domains = str_replace( ' ', "\n", $_POST['limited_email_domains'] );
- 			$limited_email_domains = split( "\n", stripslashes( $limited_email_domains ) );
- 			$limited_email = array();
- 			foreach ( (array) $limited_email_domains as $domain ) {
- 					$domain = trim( $domain );
- 				if ( ! preg_match( '/(--|\.\.)/', $domain ) && preg_match( '|^([a-zA-Z0-9-\.])+$|', $domain ) )
- 					$limited_email[] = trim( $domain );
- 			}
- 			update_site_option( 'limited_email_domains', $limited_email );
- 		} else {
- 			update_site_option( 'limited_email_domains', '' );
- 		}
- 
- 		if ( $_POST['banned_email_domains'] != '' ) {
- 			$banned_email_domains = split( "\n", stripslashes( $_POST['banned_email_domains'] ) );
- 			$banned = array();
- 			foreach ( (array) $banned_email_domains as $domain ) {
- 				$domain = trim( $domain );
- 				if ( ! preg_match( '/(--|\.\.)/', $domain ) && preg_match( '|^([a-zA-Z0-9-\.])+$|', $domain ) )
- 					$banned[] = trim( $domain );
- 			}
- 			update_site_option( 'banned_email_domains', $banned );
- 		} else {
- 			update_site_option( 'banned_email_domains', '' );
- 		}
- 
- 		$options = array( 'registrationnotification', 'registration', 'add_new_users', 'menu_items', 'mu_media_buttons', 'upload_space_check_disabled', 'blog_upload_space', 'upload_filetypes', 'site_name', 'first_post', 'first_page', 'first_comment', 'first_comment_url', 'first_comment_author', 'welcome_email', 'welcome_user_email', 'fileupload_maxk', 'global_terms_enabled' );
- 		$checked_options = array( 'mu_media_buttons' => array(), 'menu_items' => array(), 'registrationnotification' => 'no', 'upload_space_check_disabled' => 1, 'add_new_users' => 0 );
- 		foreach ( $checked_options as $option_name => $option_unchecked_value ) {
- 			if ( ! isset( $_POST[$option_name] ) )
- 				$_POST[$option_name] = $option_unchecked_value;
- 		}
- 		foreach ( $options as $option_name ) {
- 			if ( ! isset($_POST[$option_name]) )
- 				continue;
- 			$value = stripslashes_deep( $_POST[$option_name] );
- 			update_site_option( $option_name, $value );
- 		}
- 
- 		// Update more options here
- 		do_action( 'update_wpmu_options' );
- 
- 		wp_redirect( add_query_arg( 'updated', 'true', network_admin_url( 'settings.php' ) ) );
- 		exit();
- 	break;
- 
- 	case 'updateblog':
- 		// No longer used.
- 	break;
- 
- 	case 'deleteblog':
- 		check_admin_referer('deleteblog');
- 		if ( ! ( current_user_can( 'manage_sites' ) && current_user_can( 'delete_sites' ) ) )
- 			wp_die( __( 'You do not have permission to access this page.' ) );
- 
- 		if ( $id != '0' && $id != $current_site->blog_id && current_user_can( 'delete_site', $id ) ) {
- 			wpmu_delete_blog( $id, true );
- 			wp_redirect( add_query_arg( array( 'updated' => 'true', 'action' => 'delete' ), wp_get_referer() ) );
- 		} else {
- 			wp_redirect( add_query_arg( array( 'updated' => 'true', 'action' => 'not_deleted' ), wp_get_referer() ) );
- 		}
- 
- 		exit();
- 	break;
- 
- 	case 'allblogs':
- 		if ( ( isset( $_POST['action'] ) || isset( $_POST['action2'] ) ) && isset( $_POST['allblogs'] ) ) {
- 			check_admin_referer( 'bulk-sites' );
- 
- 			if ( ! current_user_can( 'manage_sites' ) )
- 				wp_die( __( 'You do not have permission to access this page.' ) );
- 
- 			if ( $_GET['action'] != -1 || $_POST['action2'] != -1 )
- 				$doaction = $_POST['action'] != -1 ? $_POST['action'] : $_POST['action2'];
- 
- 			$blogfunction = '';
- 
- 			foreach ( (array) $_POST['allblogs'] as $key => $val ) {
- 				if ( $val != '0' && $val != $current_site->blog_id ) {
- 					switch ( $doaction ) {
- 						case 'delete':
- 							if ( ! current_user_can( 'delete_site', $val ) )
- 								wp_die( __( 'You are not allowed to delete the site.' ) );
- 							$blogfunction = 'all_delete';
- 							wpmu_delete_blog( $val, true );
- 						break;
- 
- 						case 'spam':
- 							$blogfunction = 'all_spam';
- 							update_blog_status( $val, 'spam', '1' );
- 							set_time_limit( 60 );
- 						break;
- 
- 						case 'notspam':
- 							$blogfunction = 'all_notspam';
- 							update_blog_status( $val, 'spam', '0' );
- 							set_time_limit( 60 );
- 						break;
- 					}
- 				} else {
- 					wp_die( __( 'You are not allowed to change the current site.' ) );
- 				}
- 			}
- 
- 			wp_redirect( add_query_arg( array( 'updated' => 'true', 'action' => $blogfunction ), wp_get_referer() ) );
- 		} else {
- 			wp_redirect( network_admin_url( 'sites.php' ) );
- 		}
- 		exit();
- 	break;
- 
- 	case 'archiveblog':
- 		check_admin_referer( 'archiveblog' );
- 		if ( ! current_user_can( 'manage_sites' ) )
- 			wp_die( __( 'You do not have permission to access this page.' ) );
- 
- 		update_blog_status( $id, 'archived', '1' );
- 		wp_redirect( add_query_arg( array( 'updated' => 'true', 'action' => 'archive' ), wp_get_referer() ) );
- 		exit();
- 	break;
- 
- 	case 'unarchiveblog':
- 		check_admin_referer( 'unarchiveblog' );
- 		if ( ! current_user_can( 'manage_sites' ) )
- 			wp_die( __( 'You do not have permission to access this page.' ) );
- 
- 		update_blog_status( $id, 'archived', '0' );
- 		wp_redirect( add_query_arg( array( 'updated' => 'true', 'action' => 'unarchive' ), wp_get_referer() ) );
- 		exit();
- 	break;
- 
- 	case 'activateblog':
- 		check_admin_referer( 'activateblog' );
- 		if ( ! current_user_can( 'manage_sites' ) )
- 			wp_die( __( 'You do not have permission to access this page.' ) );
- 
- 		update_blog_status( $id, 'deleted', '0' );
- 		do_action( 'activate_blog', $id );
- 		wp_redirect( add_query_arg( array( 'updated' => 'true', 'action' => 'activate' ), wp_get_referer() ) );
- 		exit();
- 	break;
- 
- 	case 'deactivateblog':
- 		check_admin_referer( 'deactivateblog' );
- 		if ( ! current_user_can( 'manage_sites' ) )
- 			wp_die( __( 'You do not have permission to access this page.' ) );
- 
- 		do_action( 'deactivate_blog', $id );
- 		update_blog_status( $id, 'deleted', '1' );
- 		wp_redirect( add_query_arg( array( 'updated' => 'true', 'action' => 'deactivate' ), wp_get_referer() ) );
- 		exit();
- 	break;
- 
- 	case 'unspamblog':
- 		check_admin_referer( 'unspamblog' );
- 		if ( ! current_user_can( 'manage_sites' ) )
- 			wp_die( __( 'You do not have permission to access this page.' ) );
- 
- 		update_blog_status( $id, 'spam', '0' );
- 		wp_redirect( add_query_arg( array( 'updated' => 'true', 'action' => 'unspam' ), wp_get_referer() ) );
- 		exit();
- 	break;
- 
- 	case 'spamblog':
- 		check_admin_referer( 'spamblog' );
- 		if ( ! current_user_can( 'manage_sites' ) )
- 			wp_die( __( 'You do not have permission to access this page.' ) );
- 
- 		update_blog_status( $id, 'spam', '1' );
- 		wp_redirect( add_query_arg( array( 'updated' => 'true', 'action' => 'spam' ), wp_get_referer() ) );
- 		exit();
- 	break;
- 
- 	case 'unmatureblog':
- 		check_admin_referer( 'unmatureblog' );
- 		if ( ! current_user_can( 'manage_sites' ) )
- 			wp_die( __( 'You do not have permission to access this page.' ) );
- 
- 		update_blog_status( $id, 'mature', '0' );
- 		wp_redirect( add_query_arg( array( 'updated' => 'true', 'action' => 'unmature' ), wp_get_referer() ) );
- 		exit();
- 	break;
- 
- 	case 'matureblog':
- 		check_admin_referer( 'matureblog' );
- 		if ( ! current_user_can( 'manage_sites' ) )
- 			wp_die( __( 'You do not have permission to access this page.' ) );
- 
- 		update_blog_status( $id, 'mature', '1' );
- 		wp_redirect( add_query_arg( array( 'updated' => 'true', 'action' => 'mature' ), wp_get_referer() ) );
- 		exit();
- 	break;
- 
- 	// Common
- 	case 'confirm':
- 		check_admin_referer( 'confirm' );
- 		if ( !headers_sent() ) {
- 			nocache_headers();
- 			header( 'Content-Type: text/html; charset=utf-8' );
- 		}
- 		if ( $current_site->blog_id == $id )
- 			wp_die( __( 'You are not allowed to change the current site.' ) );
- 		?>
- 		<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
- 		<html xmlns="http://www.w3.org/1999/xhtml" <?php if ( function_exists( 'language_attributes' ) ) language_attributes(); ?>>
- 			<head>
- 				<title><?php _e( 'WordPress &rsaquo; Confirm your action' ); ?></title>
- 
- 				<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
- 				<?php
- 				wp_admin_css( 'install', true );
- 				wp_admin_css( 'ie', true );
- 				?>
- 			</head>
- 			<body>
- 				<h1 id="logo"><img alt="WordPress" src="<?php echo esc_attr( admin_url( 'images/wordpress-logo.png' ) ); ?>" /></h1>
- 				<form action="edit.php?action=<?php echo esc_attr( $_GET['action2'] ) ?>" method="post">
- 					<input type="hidden" name="action" value="<?php echo esc_attr( $_GET['action2'] ) ?>" />
- 					<input type="hidden" name="id" value="<?php echo esc_attr( $id ); ?>" />
- 					<input type="hidden" name="_wp_http_referer" value="<?php echo esc_attr( wp_get_referer() ); ?>" />
- 					<?php wp_nonce_field( $_GET['action2'], '_wpnonce', false ); ?>
- 					<p><?php echo esc_html( stripslashes( $_GET['msg'] ) ); ?></p>
- 					<?php submit_button( __('Confirm'), 'button' ); ?>
- 				</form>
- 			</body>
- 		</html>
- 		<?php
- 		exit();
- 	break;
- 
- 	// Users
- 	case 'deleteuser':
- 		if ( ! current_user_can( 'manage_network_users' ) )
- 			wp_die( __( 'You do not have permission to access this page.' ) );
- 
- 		check_admin_referer( 'deleteuser' );
- 
- 		if ( $id != '0' && $id != '1' ) {
- 			$_POST['allusers'] = array( $id ); // confirm_delete_users() can only handle with arrays
- 			$title = __( 'Users' );
- 			$parent_file = 'users.php';
- 			require_once( '../admin-header.php' );
- 			echo '<div class="wrap">';
- 			confirm_delete_users( $_POST['allusers'] );
- 			echo '</div>';
-             require_once( '../admin-footer.php' );
-   		} else {
- 			wp_redirect( network_admin_url( 'users.php' ) );
- 		}
- 		exit();
- 	break;
- 
- 	case 'allusers':
- 		if ( !current_user_can( 'manage_network_users' ) )
- 			wp_die( __( 'You do not have permission to access this page.' ) );
- 
- 		if ( ( isset( $_POST['action']) || isset($_POST['action2'] ) ) && isset( $_POST['allusers'] ) ) {
- 			check_admin_referer( 'bulk-users-network' );
- 
- 			if ( $_GET['action'] != -1 || $_POST['action2'] != -1 )
- 				$doaction = $_POST['action'] != -1 ? $_POST['action'] : $_POST['action2'];
- 
- 			$userfunction = '';
- 
- 			foreach ( (array) $_POST['allusers'] as $key => $val ) {
- 				if ( !empty( $val ) ) {
- 					switch ( $doaction ) {
- 						case 'delete':
- 							if ( ! current_user_can( 'delete_users' ) )
- 								wp_die( __( 'You do not have permission to access this page.' ) );
- 							$title = __( 'Users' );
- 							$parent_file = 'users.php';
- 							require_once( '../admin-header.php' );
- 							echo '<div class="wrap">';
- 							confirm_delete_users( $_POST['allusers'] );
- 							echo '</div>';
- 				            require_once( '../admin-footer.php' );
- 				            exit();
-        					break;
- 
- 						case 'spam':
- 							$user = new WP_User( $val );
- 							if ( in_array( $user->user_login, get_super_admins() ) )
- 								wp_die( sprintf( __( 'Warning! User cannot be modified. The user %s is a network administrator.' ), esc_html( $user->user_login ) ) );
- 
- 							$userfunction = 'all_spam';
- 							$blogs = get_blogs_of_user( $val, true );
- 							foreach ( (array) $blogs as $key => $details ) {
- 								if ( $details->userblog_id != $current_site->blog_id ) // main blog not a spam !
- 									update_blog_status( $details->userblog_id, 'spam', '1' );
- 							}
- 							update_user_status( $val, 'spam', '1' );
- 						break;
- 
- 						case 'notspam':
- 							$userfunction = 'all_notspam';
- 							$blogs = get_blogs_of_user( $val, true );
- 							foreach ( (array) $blogs as $key => $details )
- 								update_blog_status( $details->userblog_id, 'spam', '0' );
- 
- 							update_user_status( $val, 'spam', '0' );
- 						break;
- 					}
- 				}
- 			}
- 
- 			wp_redirect( add_query_arg( array( 'updated' => 'true', 'action' => $userfunction ), wp_get_referer() ) );
- 		} else {
- 			$location = network_admin_url( 'users.php' );
- 
- 			if ( ! empty( $_REQUEST['paged'] ) )
- 				$location = add_query_arg( 'paged', (int) $_REQUEST['paged'], $location );
- 			wp_redirect( $location );
- 		}
- 		exit();
- 	break;
- 
- 	case 'dodelete':
- 		check_admin_referer( 'ms-users-delete' );
- 		if ( ! ( current_user_can( 'manage_network_users' ) && current_user_can( 'delete_users' ) ) )
- 			wp_die( __( 'You do not have permission to access this page.' ) );
- 
- 		if ( ! empty( $_POST['blog'] ) && is_array( $_POST['blog'] ) ) {
- 			foreach ( $_POST['blog'] as $id => $users ) {
- 				foreach ( $users as $blogid => $user_id ) {
- 					if ( ! current_user_can( 'delete_user', $id ) )
- 						continue;
- 
- 					if ( ! empty( $_POST['delete'] ) && 'reassign' == $_POST['delete'][$blogid][$id] )
- 						remove_user_from_blog( $id, $blogid, $user_id );
- 					else
- 						remove_user_from_blog( $id, $blogid );
- 				}
- 			}
- 		}
- 		$i = 0;
- 		if ( is_array( $_POST['user'] ) && ! empty( $_POST['user'] ) )
- 			foreach( $_POST['user'] as $id ) {
- 				if ( ! current_user_can( 'delete_user', $id ) )
- 					continue;
- 				wpmu_delete_user( $id );
- 				$i++;
- 			}
- 
- 		if ( $i == 1 )
- 			$deletefunction = 'delete';
- 		else
- 			$deletefunction = 'all_delete';
- 
- 		wp_redirect( add_query_arg( array( 'updated' => 'true', 'action' => $deletefunction ), network_admin_url( 'users.php' ) ) );
- 		exit();
- 	break;
- 
- 	default:
- 		// Let plugins use us as a post handler easily
- 		do_action( 'network_admin_edit_' . $_GET['action'] );
- 		wp_redirect( network_admin_url( 'index.php' ) );
- 		exit();
- 	break;
- }
  ?>
--- 14,29 ----
  	wp_die( __( 'Multisite support is not enabled.' ) );
  
  if ( empty( $_GET['action'] ) ) {
! 	wp_redirect( network_admin_url() );
  	exit;
  }
  
! do_action( 'wpmuadminedit' , '' );
  
! // Let plugins use us as a post handler easily
! do_action( 'network_admin_edit_' . $_GET['action'] );
  
! wp_redirect( network_admin_url() );
! exit();
  
  ?>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/network/index.php ./wordpress-3.3/wp-admin/network/index.php
*** ./wordpress-3.2.1/wp-admin/network/index.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/network/index.php	2011-11-30 20:22:07.000000000 -0600
***************
*** 22,32 ****
  $title = __( 'Dashboard' );
  $parent_file = 'index.php';
  
! add_contextual_help($current_screen,
! 	'<p>' . __('Until WordPress 3.0, running multiple sites required using WordPress MU instead of regular WordPress. In version 3.0, these applications have merged. If you are a former MU user, you should be aware of the following changes:') . '</p>' .
! 	'<ul><li>' . __('Site Admin is now Super Admin (we highly encourage you to get yourself a cape!).') . '</li>' .
! 	'<li>' . __('Blogs are now called Sites; Site is now called Network.') . '</li></ul>' .
! 	'<p>' . __('The Right Now box provides the network administrator with links to the screens to either create a new site or user, or to search existing users and sites. Screen for Sites and Users are also accessible through the left-hand navigation in the Network Admin section.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin" target="_blank">Documentation on the Network Admin</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
--- 22,38 ----
  $title = __( 'Dashboard' );
  $parent_file = 'index.php';
  
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'overview',
! 		'title'   => __('Overview'),
! 		'content' =>
! 			'<p>' . __('Until WordPress 3.0, running multiple sites required using WordPress MU instead of regular WordPress. In version 3.0, these applications have merged. If you are a former MU user, you should be aware of the following changes:') . '</p>' .
! 			'<ul><li>' . __('Site Admin is now Super Admin (we highly encourage you to get yourself a cape!).') . '</li>' .
! 			'<li>' . __('Blogs are now called Sites; Site is now called Network.') . '</li></ul>' .
! 			'<p>' . __('The Right Now box provides the network administrator with links to the screens to either create a new site or user, or to search existing users and sites. Screens for Sites and Users are also accessible through the left-hand navigation in the Network Admin section.') . '</p>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin" target="_blank">Documentation on the Network Admin</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
***************
*** 36,43 ****
  
  wp_enqueue_script( 'dashboard' );
  wp_enqueue_script( 'plugin-install' );
- wp_admin_css( 'dashboard' );
- wp_admin_css( 'plugin-install' );
  add_thickbox();
  
  add_screen_option('layout_columns', array('max' => 4, 'default' => 2) );
--- 42,47 ----
